# Class ValidationReport

java.lang.Object
org.apache.sling.feature.analyser.task.impl.repoinitconflicts.ValidationReport

public class ValidationReport extends Object

## Constructor Summary

Constructors
Constructor
Description
`ValidationReport()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConflicts(org.apache.sling.feature.Feature feature, List<org.apache.sling.repoinit.parser.operations.CreatePath[]> featureConflicts)`
`String`
`generate()`
`Map<org.apache.sling.feature.Feature, List<org.apache.sling.repoinit.parser.operations.CreatePath[]>>`
`getConflicts()`
`boolean`
`hasConflicts()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidationReport

public ValidationReport()

## Method Details

### getConflicts

public Map<org.apache.sling.feature.Feature, List<org.apache.sling.repoinit.parser.operations.CreatePath[]>> getConflicts()

### addConflicts

public void addConflicts(org.apache.sling.feature.Feature feature, List<org.apache.sling.repoinit.parser.operations.CreatePath[]> featureConflicts)

### hasConflicts

public boolean hasConflicts()

### generate

public String generate()